summaryrefslogtreecommitdiffstats
path: root/multimedia/vobcopy/vobcopy.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-11 22:54:36 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:36 +0200
commit9eabd497d9e07c3a1f5f4624a89f023c8bedf23c (patch)
treead1aae181d866e17924e038bff412864705abcd8 /multimedia/vobcopy/vobcopy.SlackBuild
parent836dbfedcf380a36d39135443927bec214620140 (diff)
downloadslackbuilds-9eabd497d9e07c3a1f5f4624a89f023c8bedf23c.tar.gz
slackbuilds-9eabd497d9e07c3a1f5f4624a89f023c8bedf23c.tar.xz
multimedia/vobcopy: Added to 12.1 repository
Diffstat (limited to 'multimedia/vobcopy/vobcopy.SlackBuild')
-rw-r--r--multimedia/vobcopy/vobcopy.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/multimedia/vobcopy/vobcopy.SlackBuild b/multimedia/vobcopy/vobcopy.SlackBuild
new file mode 100644
index 0000000000..c03b39b7f4
--- /dev/null
+++ b/multimedia/vobcopy/vobcopy.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+#################################################################################
+
+# Slackware Package Build Script for vobcopy
+
+# Home Page http://vobcopy.org
+
+# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#################################################################################
+
+PRGNAM=vobcopy
+VERSION=1.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+### clean up from previous builds
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+### Extracting the source tarballs
+
+cd $TMP
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $TMP/$PRGNAM-$VERSION
+
+chown -R root.root .
+
+find . \
+\( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+-exec chmod 644 {} \;
+
+find . \
+\( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+-exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" make
+mkdir -p $PKG/usr/{bin,include,man/man1}
+
+install --strip -m 0755 vobcopy $PKG/usr/bin
+install -m 0644 vobcopy.1 $PKG/usr/man/man1
+install -m 0644 vobcopy.h dvd.h $PKG/usr/include
+
+### copying essential doc files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a Changelog FAQ README THANKS TODO \
+alternative_programs.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# No license in the official tarball, got GPL 2 or later license from
+# http://vobcopy.org/download/unpacked/COPYING
+cat $CWD/COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# find and compress man pages
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+### putting slack-desc and doinst.sh in place
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+### building package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz